document.addEventListener('DOMContentLoaded', async () => {
    const logoutBtn = document.getElementById('logout-btn'); 
  
    // Event for the logout button
    logoutBtn.addEventListener('click', async () => {
        try {
          const res = await fetch('/api/users/logout', { method: 'POST' });
          if (res.ok) {
            window.location.href = 'login.html';  
          } else {
            console.error('Logout failed');
          }
        } catch (err) {
          console.error('Error during logout:', err);
        }
    });
});